Bug 534703 (RHQ-1474) - Move configuration of Event sources to new Event tab
Summary: Move configuration of Event sources to new Event tab
Keywords:
Status: CLOSED DEFERRED
Alias: RHQ-1474
Product: RHQ Project
Classification: Other
Component: Inventory
Version: unspecified
Hardware: All
OS: All
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact:
URL: http://jira.rhq-project.org/browse/RH...
Whiteboard:
Depends On:
Blocks: rhq4
TreeView+ depends on / blocked
 
Reported: 2009-02-04 14:50 UTC by Heiko W. Rupp
Modified: 2011-02-11 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-11 22:05:00 UTC


Attachments (Terms of Use)

Description Heiko W. Rupp 2009-02-04 14:50:00 UTC
Now that Events have their own tab and are first class citizens, I think we could move the configuration to the event subtab too (as we are doing it with metrics).

This would allow to set up events independently and reduce the issue of https://jira.jboss.org/jira/browse/JOPR-60 aka RHQ-80

Comment 1 Greg Hinkle 2009-03-12 14:38:48 UTC
One issue with this is that there is no separately defined events configuration system. Components are expected to utilize the standard connection properties (aka plugin configuration). Do you suggest changing this model or is there another way?

Comment 2 Heiko W. Rupp 2009-03-13 10:04:26 UTC
There are two aspects:

1) Monitoring has its configuration on its tab and other subsystems too as far as they have something to configure - so for orthogonality, the configuration of Events should go to the Events tab

2) The other thing is indeed what you describe, that setting up of event sources should be decoupled from the classical plugin config.

While I was  originally more thinking of 1) it is clear that 2) is needed too.

Comment 3 Red Hat Bugzilla 2009-11-10 20:33:45 UTC
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1474


Comment 4 wes hayutin 2010-02-16 17:08:19 UTC
mass add of key word FutureFeature to help track

Comment 5 John Mazzitelli 2011-02-11 22:05:00 UTC
the entire events subsystem is eventually going to be reimplemented to use a distributed storage model (e.g. hadoop, NoSql, etc). Lets not refactor the current event subsystem/configuration only to throw it away later. Things work as is, its just in the plugin config tab not the events tab. Changing the model would also require some work to support backwards compatibility/upgrading.


Note You need to log in before you can comment on or make changes to this bug.